Haskell Platform 2013.2 Proposal Status

Mark Lentczner mark.lentczner at gmail.com
Mon Apr 22 03:18:08 CEST 2013

I'm not sure I understand that bug at all! The unix package is supplied
with GHC. You can't, in general, just use a different version. Haskell
Platform 2012.4 ships with GHC 7.4.1, which includes unix- I
wouldn't expect unix-2.6.x.y to work with GHC 7.4.1 at all. Of course
unix-2.6.x.y works with GHC 7.6.z, as that is the version of GHC that
distributes with it.

For this release, I expect to package GHC 7.6.3 (essentially 7.6.2 plush
one bug fix), which includes unix-

In short - I don't see that that bug is anything but as expected, and there
is no need for a fix - as unix- will come with the next HP.

- Mark
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/libraries/attachments/20130421/76834fec/attachment.htm>

More information about the Libraries mailing list